Name:           ldapdomaindump
Version:        0.9.4
Release:        2%{?dist}
Summary:        Active Directory information dumper via LDAP
License:        MIT
URL:            https://github.com/dirkjanm/ldapdomaindump/
VCS:            https://github.com/dirkjanm/ldapdomaindump/

%global         pypi_name ldapdomaindump
%global         pypi_version %{version} 

Source0:        %{pypi_source}

# Rebased version of https://github.com/dirkjanm/ldapdomaindump/pull/55
Patch0:         ldapdomaindump-remove_future.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

Requires:       python3-%{pypi_name} = %{?epoch:%{epoch}:}%{version}-%{release}

%global common_description %{expand:
The ldapdomaindump is a tool for collecting and parsing information available
via LDAP and outputting it in a human readable HTML format,
as well as machine readable json and csv/tsv/greppable files.
}

%description %common_description


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python3-%{pypi_name} %common_description

%prep
%autosetup -n %{pypi_name}-%{version} -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove unnecessary shebang
# https://github.com/dirkjanm/ldapdomaindump/pull/59
sed -i -e '/^#!\//, 1d' ldapdomaindump/__main__.py

# Get rid of the windows ends of lines
# proposed as https://github.com/dirkjanm/ldapdomaindump/pull/60
sed -i -e 's/\r//g;' Readme.md  ldapdomaindump/__init__.py ldapdomaindump/convert.py setup.py

%build
%py3_build

%install
%py3_install

%files
%doc Readme.md
%license LICENSE
%{_bindir}/ldapdomaindump
%{_bindir}/ldd2bloodhound
%{_bindir}/ldd2pretty

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 23 2024 Michal Ambroz <rebus@seznam.cz> - 0.9.4-2
- bump to 0.9.4

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 20 2023 Lumír Balhar <lbalhar@redhat.com> - 0.9.3-13
- Drop dependency on python3-future

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.9.3-11
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.9.3-8
- Rebuilt for Python 3.11

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.9.3-5
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.3-2
- Remove shebang (rhbz#1840298)

* Tue Jun 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.3-1
- Add license and readme file
- Update to latest upstream release 0.9.3

* Tue May 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.2-1
- Initial package for Fedora

